[Unit]
Description=Kibana %j - instance %i
After=syslog.target network.target
BindsTo=in4_netns@%i.service
After=in4_netns@%i.service
JoinsNamespaceOf=in4_netns@%i.service

[Service]
Environment=VERSION=%j
Environment=ES_PORT=00
Environment=PORT=00
Environment=INSTANCE=%i
Environment=BABEL_CACHE_PATH=/media/storage/namespace/%i/flow/ops/services/kibana/%j/cache
Environment=DATAPATH=/media/storage/namespace/%i/flow/ops/services/kibana/%j/data
EnvironmentFile=/media/sysdata/in4/context/_me/landscape/data--c/visualization--o/elastic--f/kibana/env_%j_%i
WorkingDirectory=/media/storage/app/elastic/kibana/%j

ExecStart=/media/storage/app/elastic/kibana/%j/bin/kibana -p 91${PORT} -e http://localhost:92${ES_PORT} -c /media/sysdata/in4/platform/v5/landscape/data--c/visualization--o/elastic--f/kibana/dsl/main--s/kibana.yaml -c /media/sysdata/in4/platform/v5/landscape/data--c/visualization--o/elastic--f/kibana/dsl/main--s/${VERSION}.yaml

ExecReload=/media/storage/app/elastic/kibana/%j/bin/kibana -c /media/sysdata/in4/platform/v5/landscape/data--c/visualization--o/elastic--f/kibana/dsl/main--s/kibana.yaml -c /media/sysdata/in4/platform/v5/landscape/data--c/visualization--o/elastic--f/kibana/dsl/main--s/${VERSION}.yaml --optimize

PrivateNetwork=true
RestartSec=20
StartLimitInterval=20
StartLimitBurst=5
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=in4_elastic_kibana_%j_%i
LimitMEMLOCK=infinity
LimitNOFILE=65536

User  = %i
Group = %i

[Install]
WantedBy=default.target

